Tweets
Search tweets
Authors of tweets matching a query, using X's advanced search syntax.
GET/v1/tweets/search15 credits per profile returned
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
q | string | Required | Search query, e.g. "cold email" -is:retweet. |
product | string | Optional | Latest (default) or Top. |
cursor | string | Optional | Pagination cursor from the previous page's cursor. Omit for the first page. |
Request
curl https://api.xautodm.com/v1/tweets/search?q=cold%20email \ -H "Authorization: Bearer $XAUTODM_API_KEY"
Response
Response
{
"data": {
"count": 100,
"users": [
{ "id": "44196397", "handle": "elonmusk", "name": "Elon Musk",
"followers": 200000000, "verified": true, "can_dm": false },
...
],
"cursor": "HBaAgL...=="
},
"meta": { "credits_charged": 500, "credits_remaining": 49500, "request_id": "req_..." }
}Errors use one shape for every endpoint. See errors and rate limits.